	.set noat
	.set noreorder
	.text
	.align 4
	.globl  &mFNAME
	.ent 	&mFNAME
&mFNAME:
	ldgp	$gp, 0($27)
	lda	$sp, -56($sp)
	stq     $21, 48($sp)
	.mask	0x04000000,-48
	.fmask 0x00000000,0
        .frame  $sp, 48, $26
        .prologue 1
        stq     $20, 40($sp)
        stq     $19, 32($sp)
        stq     $18, 24($sp)
        stq     $17, 16($sp)
        stq     $16, 8($sp)
        stq     $26, ($sp)
	lda	$17, 2f
	lda	$18, &mFNAME
	clr	$16
	lda	$27, _mFdynload
	bis	$31, $31, $19
	bis	$31, $31, $20
	jsr	$26, ($27), _mFdynload
	ldah	$gp, ($26)
	bis	$0, $0, $27		# func returns jump address
        ldq     $21, 48($sp)
        ldq     $20, 40($sp)
        ldq     $19, 32($sp)
        ldq     $18, 24($sp)
        ldq     $17, 16($sp)
        ldq     $16, 8($sp)
	lda	$gp, ($gp)
	ldq	$26, ($sp)
	lda	$sp, 56($sp)
	jmp	$31, ($27)		# Jump to routine with old frame
	ret	($26)			#  ** Not executed **
	.end 	&mFNAME
	.sdata
2:
	.asciiz	"&mFNAM2"
